DECLARE @xml xml
DECLARE @t TABLE (ContactID int, SalesOrderID int, ProductName nvarchar(150))

SET @xml = (SELECT Person.ContactID, FirstName, LastName, EmailAddress, [Order].SalesOrderID, PurchaseOrderNumber, OrderDate, 
	TotalDue, OrderItem.ProductID, 
	(SELECT P.Name FROM Production.Product AS P 
		WHERE P.ProductID = OrderItem.ProductID) AS ProductName, 
	OrderItem.OrderQty, LineTotal
FROM Person.Contact AS Person 
	INNER JOIN Sales.SalesOrderHeader AS [Order]
		ON Person.ContactID = [Order].ContactID
	INNER JOIN Sales.SalesOrderDetail AS OrderItem
		ON OrderItem.SalesOrderID = [Order].SalesOrderID		
FOR XML AUTO, ROOT('People'))

-- FOR XML RAW | AUTO | IMPLICIT | PATH

DECLARE @pointer int
EXEC sp_XML_preparedocument @pointer OUTPUT, @xml
	
INSERT INTO @t
SELECT * FROM OPENXML(@pointer, '/People/Person/Order/OrderItem', 1)
WITH
(ContactID			int				'../../@ContactID',
 SalesOrderID		int				'../@SalesOrderID',
 ProductName		nvarchar(150)	'@ProductName'
)

SELECT * FROM @t

EXEC sp_xml_removedocument @pointer

SELECT @xml.value('(/People/Person[@ContactID=4189]/@FirstName)[1]', 'nvarchar(100)') AS FirstName

